import React from 'react';
import { connect } from 'react-redux';
import MixMultCheck from '@components/MixMultCheck';
import {SETDROPSHOW} from '@types/homePage.js';
import {HIDE,RESET} from '@store/types/homePage.js';


function mapStateToProps(state){
  return{
    totalHide:state.homePage.totalHide
  }
}


function mapDispatchToProps (dispatch){
  return{
    minCheckBoxShow(obj){
      dispatch({
        type:SETDROPSHOW,
        data:obj
      });
      dispatch({
        type: RESET
      });
    }
  }
}


const MixMultCheckContainer = connect(
  mapStateToProps,
  mapDispatchToProps
)(MixMultCheck);
export default MixMultCheckContainer;
